#!/bin/bash

PROCESSOR=$1
NUM_MAX_CPU=$2
CUSTOM=$3

sed -i -e '/DL_DIR ?=/d' conf/local.conf;
echo 'DL_DIR = "/var/cache/edgehog_downloads"' >> conf/local.conf;
if [ -z "$CUSTOM" ]; then 
  if [[ $PROCESSOR == *imx6* && "$CI_JOB_NAME" != *"embedded"* ]]; 
    then echo 'SSTATE_DIR = "/var/cache/edgehog_sstate-imx6"' >> conf/local.conf;
  elif [[ $PROCESSOR == *imx8* && "$CI_JOB_NAME" != *"embedded"* ]];
    then echo 'SSTATE_DIR = "/var/cache/edgehog_sstate-imx8"' >> conf/local.conf;
  elif [[ (($PROCESSOR == *rk* || $PROCESSOR == *px*)) && "$CI_JOB_NAME" != *"embedded"* ]];
    then echo 'SSTATE_DIR = "/var/cache/edgehog_sstate-rk"' >> conf/local.conf;
#  elif [[ $PROCESSOR == *intel* && "$CI_JOB_NAME" != *"embedded"* ]];
#    then echo 'SSTATE_DIR = "/var/cache/edgehog_sstate-intel"' >> conf/local.conf;
  elif [[ $PROCESSOR == *imx6* && "$CI_JOB_NAME" == *"embedded"* ]]; 
    then echo 'SSTATE_DIR = "/var/cache/edgehog_sstate-imx6-embedded"' >> conf/local.conf;
  elif [[ $PROCESSOR == *imx8* && "$CI_JOB_NAME" == *"embedded"* ]];
    then echo 'SSTATE_DIR = "/var/cache/edgehog_sstate-imx8-embedded"' >> conf/local.conf;
  elif [[ (($PROCESSOR == *rk* || $PROCESSOR == *px*)) && "$CI_JOB_NAME" == *"embedded"* ]];
    then echo 'SSTATE_DIR = "/var/cache/edgehog_sstate-rk-embedded"' >> conf/local.conf;
#  elif [[ $PROCESSOR == *intel* && "$CI_JOB_NAME" == *"embedded"* ]];
#    then echo 'SSTATE_DIR = "/var/cache/edgehog_sstate-intel-embedded"' >> conf/local.conf;
  fi
fi

#Optimize the Yocto build by setting the max number of threads
echo "BB_NUMBER_THREADS = \"${NUM_MAX_CPU}\"" >> conf/local.conf
echo "PARALLEL_MAKE = \"-j ${NUM_MAX_CPU}\"" >> conf/local.conf

echo '###############################'
echo '#### Displaying local.conf ####'
echo '###############################'
cat conf/local.conf
